---
- name: Dependencies installed
  community.general.pkgng:
    name: "snapcast"
    state: latest

- name: Snapserver conf file installed
  template:
    src: snapserver.conf.j2
    dest: /usr/local/etc/snapserver.conf
    owner: root
    mode: 0600
  notify: Immortal restarted

- name: Snapserver immortal file installed
  copy:
    src: immortal.yml
    dest: /usr/local/etc/immortal/snapserver.yml
    owner: root
    mode: 0600
  notify: Immortal restarted
